Subject: Re: bug#23779: 25.0.95; consing "SHELLVAR" onto process-environment doesn't remove it from subprocess env

From: Eli Zaretskii <[email-masked]>
Date: Sat, 18 Jun 2016 10:51:57 +0300

> Cc: [email-masked], [email-masked],
>  [email-masked], [email-masked]
> From: Dmitry Gutov <[email-masked]>
> Date: Sat, 18 Jun 2016 00:26:28 +0300
> 
> On 06/17/2016 11:10 PM, Eli Zaretskii wrote:
> 
> > What do I do if I do want to change the original one?
> 
> That's what I was asking: are there scenarios where someone would want 
> to do that? If they're very exceptional, if might be fine if the caller 
> has to manipulate the process-environment list on a lower level themselves.

I don't think we have good means of finding that out.  In general, a
use case that was possible (and for many years at that) should remain
possible, unless there's clear and hard evidence that it's no longer
valid, something I very much doubt we have in this case.

> > Not sure what that means, or why do you ask that.
> 
> Do you know which value
> 
> (setq process-environment (cons "PAGER=" ...))
> 
> assigns to the environment variable PAGER?

An empty value, AFAIK.